Bug 238558 - poller.py throwing an exception when creating multiple guests
poller.py throwing an exception when creating multiple guests
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 09:48 EDT by Brenton Leanhardt
Modified: 2008-02-26 21:37 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 21:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xend.log (163.11 KB, text/plain)
2007-05-02 08:15 EDT, Brenton Leanhardt
no flags Details
output of xm dmesg (9.16 KB, application/octet-stream)
2007-05-02 08:16 EDT, Brenton Leanhardt
no flags Details
output of xm info (982 bytes, text/plain)
2007-05-02 08:17 EDT, Brenton Leanhardt
no flags Details
output of xm list --long (4.82 KB, text/plain)
2007-05-02 08:18 EDT, Brenton Leanhardt
no flags Details
guest config file: /etc/xen/seldom0 (281 bytes, text/plain)
2007-05-02 08:24 EDT, Brenton Leanhardt
no flags Details

  None (edit)
Description Brenton Leanhardt 2007-05-01 09:48:04 EDT
Description of problem:
If I create several guests quickly xm will report that all have been created but
`xm list` will show several missing.  I look at root's mail on the host box and
I see the following:

Traceback (most recent call last):
  File "/usr/share/rhn/virtualization/poller.py", line 189, in ?
    domain_list = poll_hypervisor()
  File "/usr/share/rhn/virtualization/poller.py", line 76, in poll_hypervisor
    raise VirtualizationException, \
virtualization.errors.VirtualizationException: Failed to obtain handle to domain
82: <libvirt.libvirtError instance at 0xb7d4232c>


Version-Release number of selected component:
xen-3.0.3-25.0.3.el5
Linux 2.6.18-8.1.1.el5xen #1 SMP Mon Feb 26 21:05:12 EST 2007 i686 i686 i386
GNU/Linux

Host: Dual Xeon 2.8GHz 2GB RAM
Guest: 256MB RAM booting the same version of the kernel

How reproducible:
Almost everytime time.  Sometimes 4 of 6 VM successfully start, sometimes fewer.

Steps to Reproduce:
1. for vm in `ls -1 /etc/xen | grep \"^guest[0-9]*$\"`; do xm create $vm; done
2. xm list
  
Actual results:
xm create will say all guests have started.  Root will receive a stack trace
from poller.py and xm list show not report all guests.

Expected results:
If `xm create` says that guests have been successfully created then `xm list`
should show them.
Comment 1 Daniel Berrange 2007-05-01 09:54:50 EDT
Please provide the /var/log/xen/xend.log,  xen-hotplug.log & xend-debug.log 
Also please provide one (or more) representative config files for the guest(s)
being created from /etc/xen

Finally, attach the output of 'xm list --long', 'xm info' and 'xm dmesg'.
Comment 2 Brenton Leanhardt 2007-05-02 08:15:43 EDT
Created attachment 153934 [details]
xend.log
Comment 3 Brenton Leanhardt 2007-05-02 08:16:52 EDT
Created attachment 153935 [details]
output of xm dmesg
Comment 4 Brenton Leanhardt 2007-05-02 08:17:38 EDT
Created attachment 153936 [details]
output of xm info
Comment 5 Brenton Leanhardt 2007-05-02 08:18:14 EDT
Created attachment 153937 [details]
output of xm list --long
Comment 6 Brenton Leanhardt 2007-05-02 08:21:44 EDT
I reproduced this bug this morning by starting 6 guests roughly at the same
time.  Though it took 3 tries before guests 4 and 5 crashed on startup.  The
output of xend-debug.log was simply a few lines about VNC connectoins such as:
02/05/2007 08:05:52 Listening for VNC connections on TCP port 5948

And xen-hotplug.log:
Nothing to flush.

Comment 7 Brenton Leanhardt 2007-05-02 08:24:58 EDT
Created attachment 153942 [details]
guest config file: /etc/xen/seldom0

I have 6 of these files each differing only in the name, mac address, uuid, and
physical disk.
Comment 9 Daniel Berrange 2007-08-09 10:11:36 EDT
The xend.log shows the guest kernels are crashing on boot. This is probably due
to bug  247265. Please update your guest images to use 2.6.18-37.el5 or later
(see download link in the other ticket I just referenced).  This newer kernel
should resolve the crashes.
Comment 11 Brenton Leanhardt 2007-08-21 11:39:10 EDT
I upgraded to
http://people.redhat.com/dzickus/el5/41.el5/i686/kernel-xen-2.6.18-41.el5.i686.rpm
and the crashes have gone away.  
Comment 12 Chris Lalancette 2008-02-26 21:37:53 EST
Closing out based on Comment #11.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.